View Issue Details

IDProjectCategoryView StatusLast Update
0022950mantisbtcustom fieldspublic2017-06-04 14:58
ReporterrauchmAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.4.2Fixed in Version2.4.2 
Summary0022950: Custom Fields of Type Text showing Link (Url) as Text only
Description

We recently upgraded Mantis from 2.2.0 > 2.4.1 and with V2.2.0 a Link we put into Custom Field with Type Text was shown as clickable Link.
With V2.4.1 it's shown as Text only.

TagsNo tags attached.

Relationships

related to 0022428 closedvboctor CSV and Excel exports with markdown on 
related to 0022937 closedvboctor Custom fields of type Email are not properly displayed 
related to 0022926 closedvboctor Custom Fields - Date: Field does not show date (view.php), shows other text 

Activities

rauchm

rauchm

2017-05-30 06:48

reporter  

cf_url_txt.png (2,916 bytes)
cf_url_txt.png (2,916 bytes)
rauchm

rauchm

2017-05-30 10:55

reporter   ~0056991

I found the Problem, we recently activated "mark down processing" = ON
Setting this to OFF enabled clickable links in custom field again.

just to be sure: Is this as designed or should it work with mark down enabled as well?

vboctor

vboctor

2017-06-02 01:58

manager   ~0057020

@rauchm the fix for this bug is now part of the pull request below:
PR: https://github.com/mantisbt/mantisbt/pull/1115

Related Changesets

MantisBT: master-2.4 61e519f4

2017-06-02 01:56:46

vboctor

Details Diff
Fix hyperlinking of urls when Markdown is enabled

Hyperlinks for single line strings were not working when markdown is enabled.

Fixes 0022950
mod - plugins/MantisCoreFormatting/MantisCoreFormatting.php Diff File

Issue History

Date Modified Username Field Change
2017-05-30 06:48 rauchm New Issue
2017-05-30 06:48 rauchm File Added: cf_url_txt.png
2017-05-30 07:45 atrol Assigned To => vboctor
2017-05-30 07:45 atrol Status new => assigned
2017-05-30 07:45 atrol Target Version => 2.4.2
2017-05-30 07:45 atrol Description Updated View Revisions
2017-05-30 07:46 atrol Relationship added related to 0022428
2017-05-30 07:46 atrol Relationship added related to 0022937
2017-05-30 07:47 atrol Relationship added related to 0022926
2017-05-30 10:55 rauchm Note Added: 0056991
2017-06-02 01:58 vboctor Note Added: 0057020
2017-06-04 13:26 vboctor Changeset attached => MantisBT master-2.4 61e519f4
2017-06-04 13:26 vboctor Status assigned => resolved
2017-06-04 13:26 vboctor Resolution open => fixed
2017-06-04 13:26 vboctor Fixed in Version => 2.4.2
2017-06-04 14:58 vboctor Status resolved => closed